Name:           python-epyt
Version:        1.2.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        EPyT: An EPANET-Python Toolkit for Smart Water Network Simulations. The EPyT is inspired by the EPANET-Matlab Toolkit.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        EUPL-1.2
URL:            https://github.com/OpenWaterAnalytics/EPyT/issues
Source:         %{pypi_source epyt}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'epyt' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-epyt
Summary:        %{summary}

%description -n python3-epyt %_description


%prep
%autosetup -p1 -n epyt-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-epyt -f %{pyproject_files}


%changelog
%autochangelog